// Definitions for steady state analysis by shooting with extrapolation.
// Author: Janez Puhan

#ifndef SSSE

#define SSSE

#include "jobdefs.h"

typedef struct
{
	int JOBtype;
	JOB *JOBnextJob;
	char *JOBname;
	double SSSEfreq;
	double SSSEstep;
	double SSSEskip;
	int SSSEperiods;
	int SSSEhistory;
	GENERIC *SSSEplot;
} SSSEan;

#define SSSE_FREQ		1
#define SSSE_STEP		2
#define SSSE_SKIP		3
#define SSSE_PERIODS	4
#define SSSE_HISTORY	5

extern int SSSEaskQuest();

#endif	// SSSE
