##############################################################################
####### Top level GNU make Makefile for building a .cm file
####### (C)2000 Arpad Buermen
##############################################################################

##############################################################################
####### !!!!!----- DO NOT EDIT -----!!!!!
####### To change settings edit makedefs.

include ../makeops.sol
include makedefs

####### Files for internal use
HLISTS  =       cmextrn.h cminfo.h udnextrn.h udninfo.h
LISTS   =       udnpath.lst modpath.lst
SOURCES =       dlmain.c
OBJECTS =       dlmain.o

####### Build rules
all: $(TARGET)

$(TARGET): $(CMDIRS) $(UDNDIRS) $(OBJECTS)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(CMLIBS) $(UDNLIBS) 

dlmain.o: $(SOURCES) $(HLISTS)
	$(CC) $(CFLAGS) $(INCPATH) -c dlmain.c

cmextrn.h cminfo.h: modpath.lst
	$(CMPP) -lst

udnextrn.h udninfo.h: udnpath.lst

.PHONY: $(CMDIRS) $(UDNDIRS)

$(CMDIRS) $(UDNDIRS):
	if test -f $@/ifspec.ifs ; then cd $@ ; $(CMPP) -ifs ; fi
	if test -f $@/cfunc.mod  ; then cd $@ ; $(CMPP) -mod ; fi
	if test -f $@/ifspec.c   ; then cd $@ ; $(CC) $(CFLAGS) $(INCPATH) -c ifspec.c ; fi
	if test -f $@/cfunc.c    ; then cd $@ ; $(CC) $(CFLAGS) $(INCPATH) -c cfunc.c ; fi
	if test -f $@/ifspec.o   ; then cd $@ ; $(LIBMGR) $(LIBMGRO) ../$@.lib ifspec.o cfunc.o ; fi
	if test -f $@/ifspec.o   ; then cd $@ ; ranlib ../$@.lib ; fi
	if test -f $@/udnfunc.c  ; then cd $@ ; $(CC) $(CFLAGS) $(INCPATH) -c udnfunc.c ; fi
	if test -f $@/udnfunc.o  ; then cd $@ ; $(LIBMGR) $(LIBMGRO) ../$@.lib udnfunc.o ; fi

clean:
	for s in $(CMDIRS) $(UDNDIRS) ; do \
		rm -f $$s/*.o ; \
		rm -f $$s/cfunc.c ; \
		rm -f $$s/ifspec.c ; \
	done;
	for s in $(HLISTS) ; do \
		rm -f $$s ; \
	done;
	rm -f *.o
	rm -f *.lib
	rm -f $(TARGET)

####### !!!!!----- DO NOT EDIT -----!!!!!
##############################################################################
